2009-03-26 10:28:29     u-boot 2008R1.5 compilation problems for BF527 rev0.2

Document created by Aaronwu Employee on Sep 18, 2013
Version 1Show Document
  • View in full screen mode

2009-03-26 10:28:29     u-boot 2008R1.5 compilation problems for BF527 rev0.2

Appalayagari Sreedhar (INDIA)

Message: 71599   

 

Hi,

 

I am working with u-boot2008R1.5, BF527-Ezkit rev 0.2.

 

for compiling the u-boot BF527-Ezkit 0.2 revision I changed the macro

 

#define CONFIG_BFIN_CPU             bf527-0.0    to       #define CONFIG_BFIN_CPU             bf527-0.2

 

when i compile the u-boot i am getting the following errors.

 

bfin-uclinux-gcc -g  -Os   -ffixed-P5 -fomit-frame-pointer -mcpu=bf527-0.2 -D__KERNEL__ -I/home/sreecha/u-boot-1.1.6-2008R1.5/include -fno-builtin -ffreestanding -nostdinc -isystem /opt/uClinux_2008R1_5/bfin-uclinux/bin/../lib/gcc/bfin-uclinux/4.1.2/include -pipe  -DCONFIG_BLACKFIN -Wall -Wstrict-prototypes -c -o hello_world.o hello_world.c

cc1: error: -mcpu=bf527-0.2 has invalid silicon revision

cc1: error: unrecognized command line option "-mcpu=bf527-0.2"

make[1]: *** [hello_world.o] Error 1

make[1]: Leaving directory `/home/sreecha/u-boot-1.1.6-2008R1.5/examples'

make: *** [examples] Error 2

 

 

I have instaleld the 2008R1.5 toolchain and the Gcc version is 4.1.2

 

tool chain details:

 

Using built-in specs.

Target: bfin-uclinux

Configured with: /usr/src/packages/BUILD/blackfin-toolchain-08r1.5/../gcc-4.1/configure --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --target=bfin-uclinux --prefix=/opt/uClinux/bfin-uclinux --enable-threads=posix --with-sysroot=/opt/uClinux/bfin-uclinux/bfin-uclinux/runtime --disable-libstdcxx-pch --disable-symvers --disable-libssp --disable-libffi --enable-clocale=generic --enable-version-specific-runtime-libs --enable-__cxa_atexit

Thread model: posix

gcc version 4.1.2 (ADI svn)

 

Please help me how to solve this compilation problem.

 

For safe purpose, is it better to flash the pre compiled u-boot file which are available in the release list (u-boot-bf527-ezkit-para-2008R1.5.ldr)  into the flash and after testing the compiled u-boot it will be safe to flash.

 

pre compiled u-boot images are available for bf527 rev 0.2?.

 

can the pre compiled images for the rev 0 can be used in the rev 0.2 silicon boards? and later tested compiled 0.2 version can be upgraded?

 

Thanks and Regards, Sreedhar.

QuoteReplyEditDelete

 

 

2009-03-26 10:32:32     Re: u-boot 2008R1.5 compilation problems for BF527 rev0.2

Mike Frysinger (UNITED STATES)

Message: 71600   

 

bf52x-0.2 was not supported in the 2008R1.5 release

QuoteReplyEditDelete

 

 

2009-03-26 11:01:38     Re: u-boot 2008R1.5 compilation problems for BF527 rev0.2

Appalayagari Sreedhar (INDIA)

Message: 71604   

 

Hi Mike,

 

Thankyou very much.

 

May I know in which version Bf52x-0.2 revision will be supported. Can i build u-boot images for the rev 0.0 or rev 0.1 and test on the 0.2 revision boards.

 

Best Regards, Sreedhar.

QuoteReplyEditDelete

 

 

2009-03-26 11:10:21     Re: u-boot 2008R1.5 compilation problems for BF527 rev0.2

Mike Frysinger (UNITED STATES)

Message: 71606   

 

support was added a while ago to svn trunk

 

running older version on newer silicon will probably work, but only the versions tested at the time of release are supported

Attachments

    Outcomes